| Extracted from Pike v7.8 release 866 at 2018-02-09.

[Top]
Filesystem
Filesystem.Stat

# Method Filesystem.Stat()->ischr()

Method ischr

  `int(0..1) isfifo()`
  `int(0..1) ischr()`
  `int(0..1) isdir()`
  `int(0..1) isblk()`
  `int(0..1) isreg()`
  `int(0..1) islnk()`
  `int(0..1) issock()`
  `int(0..1) isdoor()`

Description
  fifo

    Is the file a FIFO?

  chr

    Is the file a character device?

  dir

    Is the file (?) a directory?

  blk

    Is the file a block device?

  reg

    Is the file a regular file?

  lnk

    Is the file a link to some other file or directory?

  sock

    Is the file a socket?

  door

    FIXME: Document this function.

Returns

  1 if the file is of a specific type 0 if the file is not.

See also

  [set_type]